Summary: Front end for povray
Name: xfpovray
Version: 1.2.4
Release: 2
Copyright: Distributable
Group: X11/Applications
Source:ftp://sunsite.unc.edu/pub/Linux/apps/graphics/rays/pov/xfpovray-1p2p2.tgz
Source1: xfpovray.wmconfig
Patch: xfpovray-1p2p2-installsh.patch
Patch1: xfpovray-1p2p2-config.patch
Patch2: xfpovray-1.2.4-segfault.patch
URL: http://cspar.uah.edu/~mallozzir/html/xfpovray.html
Buildroot: /var/tmp/xfpovray-root

Requires: povray >= 3.0

%description
xfpovray is a graphical interface to the cool ray tracing program POV-Ray
(http://www.povray.org).  It is written with the XForms library
(http://bragg.phys.uwm.edu/xforms), and supports most of the numerous
options of POV-Ray.

%prep
%setup -n xfpovray
%patch -p1  -b .install
%patch1 -p1  -b .config
%patch2 -p1  -b .segfault

%build
#
# uses stupid interactive script to guide configuration
#
./install.sh << EOF
/usr/bin/x-povray
/usr/lib/povray3/include
xv
xterm -e vi
/usr/X11R6/lib/X11/xfpovray/xfpovray.xpm
/usr/X11R6/lib/X11/xfpovray/help
.
*.pov
*.tga
150
150
y
n
EOF

CFLAGS="$RPM_OPT_FLAGS -I/usr/X11R6/include" make

%install
install -m 0755 -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 0755 -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xfpovray
install -m 0755 -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xfpovray/help
install -m 0755 -s xfpovray $RPM_BUILD_ROOT/usr/X11R6/bin/xfpovray
install -m 0644 -s xfpovray.xpm $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xfpovray/xfpovray.xpm
find help | cpio -pdmv $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xfpovray

install -d $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 -o root -g root $RPM_SOURCE_DIR/xfpovray.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/xfpovray

%changelog

* Thu May 21 1998 Michael Maher <mike@redhat.com>

- checked spec file, added buildroot

* Tue Feb  3 1998 Otto Hammersmith <otto@redhat.com>

- fixed seg fault after creating ~/.xfpovray (closed a file that wasn't opened
  successfully.)

* Thu Jan 29 1998 Otto Hammersmith <otto@redhat.com>

- updated to 1.2.4

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>

- added wmconfig entry

* Wed Nov 19 1997 Otto Hammersmith <otto@redhat.com>

- built for glibc

* Mon Apr 28 1997 Michael Fulbright <msf@redhat.com>

- Updated to version 1.2.2

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%doc README CHANGES COPYING
%docdir /usr/X11R6/lib/X11/xfpovray/help
/usr/X11R6/lib/X11/xfpovray
/usr/X11R6/bin/xfpovray
/etc/X11/wmconfig/xfpovray
